GetContainersRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetContainersRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetContainersRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest

@Public @Unstable public abstract class GetContainersRequest extends Object

The request from clients to get a list of container reports, which belong to an application attempt from the `ResourceManager`.

See Also:
  - `ApplicationBaseProtocol.getContainers(GetContainersRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetContainersRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationAttemptId`
  `getApplicationAttemptId()`
  Get the `ApplicationAttemptId` of an application attempt.
  `static GetContainersRequest`
  `newInstance(ApplicationAttemptId applicationAttemptId)`
  `abstract void`
  `setApplicationAttemptId(ApplicationAttemptId applicationAttemptId)`
  Set the `ApplicationAttemptId` of an application attempt

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetContainersRequest

    public GetContainersRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static GetContainersRequest newInstance(ApplicationAttemptId applicationAttemptId)

  - ### getApplicationAttemptId

    @Public @Unstable public abstract ApplicationAttemptId getApplicationAttemptId()
    Get the `ApplicationAttemptId` of an application attempt.
    Returns:
      `ApplicationAttemptId` of an application attempt

  - ### setApplicationAttemptId

    @Public @Unstable public abstract void setApplicationAttemptId(ApplicationAttemptId applicationAttemptId)
    Set the `ApplicationAttemptId` of an application attempt
    Parameters:
      `applicationAttemptId` - `ApplicationAttemptId` of an application attempt